<!-- setSpec  规格一级分类,如大小,颜色,尺寸 -->
<template>
  <div>

    <div class="mb10 setSpec_item" v-for="(item,index) in Spec" :key="index">
      <div class=" flex flex-m mb10">
        <el-input v-model="item.title" class="flex-1" size="mini" placeholder="规格名称 例：颜色"></el-input>
        <el-button-group>
          <el-button size="mini" @click="addSpecItem(item,index)" :disabled="!item.title" type="primary">添加规格项</el-button>
          <el-button @click="delSpecItem(item,index)" size="mini" type="danger">删除</el-button>
        </el-button-group>
      </div>
      <div>
        <div class="cf">
          <el-input clearable class="setSpec w200 mr10 mb10 fl" v-model="spec_item.title" size="mini" v-for="(spec_item , i) in item.spec_item" :key="'e'+i">
            <el-button @click="delSpec_item(spec_item,item.spec_item,i)" type="danger" size="mini" slot="append" icon="el-icon-close"></el-button>
          </el-input>
        </div>
      </div>
    </div>

    <el-button icon="el-icon-plus" @click="addSpec" class="mb10" size="mini" type="primary">添加规格</el-button>
    <el-button icon="el-icon-refresh-left" @click="refresh" class="mb10" size="mini" type="primary">刷新规格项目表</el-button>

  </div>
</template>

<script>
export default {
  name: 'setSpec',
  props: {
    spec: {
      type: Array
    },
  },
  data() {
    return {
      Spec: this.spec,
      specItem: {
        title: '',
        sort: '0',
        spec_item: [],

      },

      spec_item_item: {
        title: '',
        sort: '0',
      }

    }
  },
  methods: {
    //初始化方法
    init() { },
    addSpec() {
      let specItem = this._dep(this.specItem)

      this.Spec.push(specItem)

    },

    addSpecItem(item, index) {
      let spec_item_item = this._dep(this.spec_item_item)
      item.spec_item.push(spec_item_item)
    },

    delSpecItem(item, index) {
      if (!item.title && item.spec_item.length == 0) {
        this.Spec.splice(index, 1)
        return
      }
      this.$confirm(`是否确定删除【${item.title}】规格？`, '提示', {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        this.Spec.splice(index, 1)
      }).catch(() => {
        //取消删除
      })
    },

    delSpec_item(item, arr, index) {
      if (!item.title) {
        arr.splice(index, 1)
        return
      }
      this.$confirm(`是否确定删除该规格项？`, '提示', {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        arr.splice(index, 1)
      }).catch(() => {
        //取消删除
      })

    },

    refresh() {
      this.$emit('refresh')
    }
  },
}

</script>
<style lang='scss' >
.setSpec {
  .el-input-group__append,
  .el-input-group__prepend {
    background: #f56c6c;
    color: #fff;
    border: 1px solid #f56c6c;
  }
}

.setSpec_item {
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #eee;
}
</style>